org.apache.ignite.cache.store.jdbc

## Class JdbcTypeDefaultHasher

- java.lang.Object
- - org.apache.ignite.cache.store.jdbc.JdbcTypeDefaultHasher

All Implemented Interfaces:
  Serializable, JdbcTypeHasher

    public class JdbcTypeDefaultHasher
    extends Object
    implements JdbcTypeHasher

Default implementation of `JdbcTypeHasher`. This implementation ignores type and field names.

See Also:
  Serialized Form

### Field Summary

Fields
`static JdbcTypeHasher` `INSTANCE` Singleton instance to use.

### Constructor Summary

Constructors
Constructor and Description
`JdbcTypeDefaultHasher()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `hashCode(Collection<?> values)` Calculate hash code for specified object and fields.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final JdbcTypeHasher INSTANCE

Singleton instance to use.

### Constructor Detail

#### JdbcTypeDefaultHasher

    public JdbcTypeDefaultHasher()

### Method Detail

#### hashCode

    public int hashCode(Collection<?> values)

Calculate hash code for specified object and fields.

Specified by:
  `hashCode` in interface `JdbcTypeHasher`
Parameters:
  `values` - Collection of values that should participate in hash code calculation.
Returns:
  Hash code.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019